/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://www.tizenopensource.org/license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __UG_IMAGE_VIEWER_H__
#define __UG_IMAGE_VIEWER_H__

#include <Elementary.h>

#include "ivug-common.h"

typedef struct ug_data {
	Evas_Object *parent_layout;
	Evas_Object *base;			// UG layout

// View Data;
	Ivug_MainView *main_view;
	Ivug_SetAsView *setas_view;
	IvugCropUG *crop_ug;

	ivug_parameter* ivug_param;

	bool bUseBlackTheme;		// TODO : SetAs view from setting does not use black theme
} _AppData;

#ifdef __cplusplus
extern "C" {
#endif

/* Add functions here */

#ifdef __cplusplus
}
#endif

#endif /* __UG_IMAGE_VIEWER_H__ */

